## efm-langserver 0.0.40

=== Makefile ===
BIN := efm-langserver
VERSION := $$(make -s show-version)
CURRENT_REVISION := $(shell git rev-parse --short HEAD)
BUILD_LDFLAGS := "-s -w -X main.revision=$(CURRENT_REVISION)"
GOBIN ?= $(shell go env GOPATH)/bin
export GO111MODULE=on

.PHONY: all
all: clean build

.PHONY: build
build:
	go build -ldflags=$(BUILD_LDFLAGS) -o $(BIN) .

.PHONY: install
install:
	go install -ldflags=$(BUILD_LDFLAGS) .

.PHONY: show-version
show-version: $(GOBIN)/gobump
	@gobump show -r .

$(GOBIN)/gobump:
	@cd && go get github.com/x-motemen/gobump/cmd/gobump

.PHONY: cross
cross: $(GOBIN)/goxz
	goxz -n $(BIN) -pv=v$(VERSION) -build-ldflags=$(BUILD_LDFLAGS) .

$(GOBIN)/goxz:
	cd && go get github.com/Songmu/goxz/cmd/goxz

.PHONY: test
test: build
	go test -v ./...

.PHONY: lint
lint: $(GOBIN)/golint
	go vet ./...
	golint -set_exit_status ./...

$(GOBIN)/golint:
	cd && go get golang.org/x/lint/golint
.PHONY: clean
clean:
	rm -rf $(BIN) goxz
	go clean

.PHONY: bump
bump: $(GOBIN)/gobump
ifneq ($(shell git status --porcelain),)
	$(error git workspace is dirty)
endif
ifneq ($(shell git rev-parse --abbrev-ref HEAD),master)
	$(error current branch is not master)
endif
	@gobump up -w .
	git commit -am "bump up version to $(VERSION)"
	git tag "v$(VERSION)"
	git push origin master
	git push origin "refs/tags/v$(VERSION)"

.PHONY: upload
upload: $(GOBIN)/ghr
	ghr "v$(VERSION)" goxz

$(GOBIN)/ghr:
	cd && go get github.com/tcnksm/ghr

=== debian/changelog ===
efm-langserver (0.0.40-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:22:02 +0000

efm-langserver (0.0.40-1) unstable; urgency=medium

  * New upstream version 0.0.40

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Jan 2022 09:05:33 +0100

efm-langserver (0.0.39-1) unstable; urgency=medium

  * Update section
  * New upstream version 0.0.39

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 05 Jan 2022 08:08:27 +0100

efm-langserver (0.0.38-1) unstable; urgency=medium

  * New upstream version 0.0.38
  * Drop patch (included upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Nov 2021 12:05:09 +0100

efm-langserver (0.0.37-3) unstable; urgency=medium

  * Add upstream patch for empty RootURI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 12 Nov 2021 10:57:06 +0100

efm-langserver (0.0.37-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 09 Nov 2021 07:54:06 +0100

efm-langserver (0.0.37-1) unstable; urgency=medium

  * Fix name in d/copyright
  * New upstream version 0.0.37

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Nov 2021 20:51:14 +0100

efm-langserver (0.0.36-1) unstable; urgency=medium

  * Initial release

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Sep 2021 16:59:57 +0200

=== debian/control ===
Source: efm-langserver
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Section: editors
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-kr-pretty-dev,
               golang-github-mattn-go-unicodeclass-dev,
               golang-github-reviewdog-errorformat-dev,
               golang-github-sourcegraph-jsonrpc2-dev,
               golang-check.v1-dev,
               golang-gopkg-yaml.v3-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/efm-langserver
Vcs-Git: https://salsa.debian.org/go-team/packages/efm-langserver.git
Homepage: https://github.com/mattn/efm-langserver
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mattn/efm-langserver

Package: efm-langserver
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: General purpose Language Server (program)
 General purpose Language Server that can use specified error message format
 generated from specified command. This is useful for editing code with linter.

## efm-langserver 0.0.44

=== Makefile ===
--- 
+++ 
@@ -21,14 +21,14 @@
 	@gobump show -r .
 
 $(GOBIN)/gobump:
-	@cd && go get github.com/x-motemen/gobump/cmd/gobump
+	@go install github.com/x-motemen/gobump/cmd/gobump@latest
 
 .PHONY: cross
 cross: $(GOBIN)/goxz
 	goxz -n $(BIN) -pv=v$(VERSION) -build-ldflags=$(BUILD_LDFLAGS) .
 
 $(GOBIN)/goxz:
-	cd && go get github.com/Songmu/goxz/cmd/goxz
+	go install github.com/Songmu/goxz/cmd/goxz@latest
 
 .PHONY: test
 test: build
@@ -40,7 +40,8 @@
 	golint -set_exit_status ./...
 
 $(GOBIN)/golint:
-	cd && go get golang.org/x/lint/golint
+	go install golang.org/x/lint/golint@latest
+
 .PHONY: clean
 clean:
 	rm -rf $(BIN) goxz
@@ -65,4 +66,4 @@
 	ghr "v$(VERSION)" goxz
 
 $(GOBIN)/ghr:
-	cd && go get github.com/tcnksm/ghr
+	go install github.com/tcnksm/ghr@latest

=== debian/changelog ===
efm-langserver (0.0.44-1) unstable; urgency=medium

  * New upstream version 0.0.44

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Apr 2022 19:49:06 +0200

efm-langserver (0.0.42-1) unstable; urgency=medium

  * New upstream version 0.0.42

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 29 Mar 2022 09:52:55 +0200

efm-langserver (0.0.41-1) unstable; urgency=medium

  * New upstream version 0.0.41
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Mar 2022 22:44:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: efm-langserver
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go

## efm-langserver 0.0.48

=== debian/changelog ===
efm-langserver (0.0.48-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:23:11 +0530

efm-langserver (0.0.48-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:49 +1200

efm-langserver (0.0.48-1) unstable; urgency=medium

  * New upstream version 0.0.48
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 05 Aug 2023 07:12:01 +0200

## efm-langserver 0.0.49

=== debian/changelog ===
efm-langserver (0.0.49-1) unstable; urgency=medium

  * New upstream version 0.0.49

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Nov 2023 08:39:36 +0100

## efm-langserver 0.0.50

=== Makefile ===
--- 
+++ 
@@ -34,13 +34,12 @@
 test: build
 	go test -v ./...
 
-.PHONY: lint
-lint: $(GOBIN)/golint
-	go vet ./...
-	golint -set_exit_status ./...
-
-$(GOBIN)/golint:
-	go install golang.org/x/lint/golint@latest
+.PHONY: schema_doc
+schema_doc:
+	# https://github.com/coveooss/json-schema-for-humans
+	generate-schema-doc --config template_name=md --config description_is_markdown=true --config show_breadcrumbs=false schema.json schema.md
+	sed -i.bak 's/\\`/`/g' schema.md
+	[ -f schema.md.bak ] && rm schema.md.bak
 
 .PHONY: clean
 clean:

=== debian/changelog ===
efm-langserver (0.0.50-1) unstable; urgency=medium

  * New upstream version 0.0.50

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Feb 2024 14:52:52 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-sourcegraph-jsonrpc2-dev,
                golang-check.v1-dev,
                golang-gopkg-yaml.v3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/efm-langserver
 Vcs-Git: https://salsa.debian.org/go-team/packages/efm-langserver.git
 Homepage: https://github.com/mattn/efm-langserver

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

## efm-langserver 0.0.53

=== debian/changelog ===
efm-langserver (0.0.53-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 14:19:04 +1000

efm-langserver (0.0.53-1) unstable; urgency=medium

  * New upstream version 0.0.53

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Mar 2024 07:56:02 +0100

## efm-langserver 0.0.54

=== debian/changelog ===
efm-langserver (0.0.54-1) unstable; urgency=medium

  * New upstream version 0.0.54
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 20 Dec 2024 15:23:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-sourcegraph-jsonrpc2-dev,
                golang-check.v1-dev,
                golang-gopkg-yaml.v3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/efm-langserver
 Vcs-Git: https://salsa.debian.org/go-team/packages/efm-langserver.git
 Homepage: https://github.com/mattn/efm-langserver

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/mattn/efm-langserver/tags .*/v?(\d\S*)\.tar\.gz debian
